org.eclipse.graphiti.mm.algorithms.impl

## Class TextImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.impl.PropertyContainerImpl
        - - org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
          - - org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl
            - - org.eclipse.graphiti.mm.algorithms.impl.AbstractTextImpl
              - - org.eclipse.graphiti.mm.algorithms.impl.TextImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AbstractText, GraphicsAlgorithm, AbstractStyle, Text, GraphicsAlgorithmContainer, PropertyContainer

    public class TextImpl
    extends AbstractTextImpl
    implements Text

An implementation of the model object 'Text'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

### Methods inherited from class org.eclipse.graphiti.mm.algorithms.impl.AbstractTextImpl

`basicGetFont, eGet, eInverseRemove, eIsSet, eSet, eUnset, getAngle, getFont, getHorizontalAlignment, getRotation, getStyleRegions, getValue, getVerticalAlignment, setAngle, setFont, setHorizontalAlignment, setRotation, setValue, setVerticalAlignment, toString`

### Methods inherited from class org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl

`basicGetBackground, basicGetForeground, basicGetParentGraphicsAlgorithm, basicGetPictogramElement, basicGetRenderingStyle, basicGetStyle, basicSetParentGraphicsAlgorithm, basicSetPictogramElement, basicSetRenderingStyle, eBaseStructuralFeatureID, eBasicRemoveFromContainerFeature, eDerivedStructuralFeatureID, eInverseAdd, getBackground, getFilled, getForeground, getGraphicsAlgorithmChildren, getHeight, getLineStyle, getLineVisible, getLineWidth, getParentGraphicsAlgorithm, getPictogramElement, getRenderingStyle, getStyle, getTransparency, getWidth, getX, getY, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setHeight, setLineStyle, setLineVisible, setLineWidth, setParentGraphicsAlgorithm, setPictogramElement, setRenderingStyle, setStyle, setTransparency, setWidth, setX, setY, unsetFilled, unsetLineVisible`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.AbstractText

`getAngle, getFont, getHorizontalAlignment, getRotation, getStyleRegions, getValue, getVerticalAlignment, setAngle, setFont, setHorizontalAlignment, setRotation, setValue, setVerticalAlignment`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.GraphicsAlgorithm

`getGraphicsAlgorithmChildren, getHeight, getParentGraphicsAlgorithm, getPictogramElement, getStyle, getWidth, getX, getY, setHeight, setParentGraphicsAlgorithm, setPictogramElement, setStyle, setWidth, setX, setY`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.styles.AbstractStyle

`getBackground, getFilled, getForeground, getLineStyle, getLineVisible, getLineWidth, getRenderingStyle, getTransparency, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setLineStyle, setLineVisible, setLineWidth, setRenderingStyle, setTransparency, unsetFilled, unsetLineVisible`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`